Table of Contents

## Name

AuFormatToString - get the name of a format.

## Synopsis

#include <audio/audiolib.h>

char *AuFormatToString(format)
unsigned int format;

## Arguments

format
  Specifies the audio data format. Currently, the following formats are defined: AuFormatULAW8, AuFormatLinearUnsigned8, AuFormatLinearSigned8, AuFormatLinearSigned16MSB, AuFormatLinearUnsigned16MSB, AuFormatLinearSigned16LSB, and AuFormatLinearUnsigned16LSB.

## Description

AuFormatToString returns the name of format or "Unknown" if format is not recognized.

## See Also

AuStringToFormat.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- See Also